ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.29 by pcg, Fri Mar 25 16:05:21 2005 UTC vs.
Revision 1.32 by pcg, Wed Jan 18 13:17:55 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM AWK SET_MAKE am__leading_dot MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP LDFLAGS_DAEMON ROHC_TRUE ROHC_FALSE INCLUDES LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT MKINSTALLDIRS MSGFMT GMSGFMT XGETTEXT MSGMERGE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE USE_NLS LIBICONV LTLIBICONV INTLLIBS LIBINTL LTLIBINTL POSUB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE EGREP LN_S RANLIB ac_ct_RANLIB IFTYPE IFSUBTYPE CXXCPP ALLOCA LINUX_IF_TUN_H HAVE_TUNTAP LDFLAGS_DAEMON ROHC_TRUE ROHC_FALSE INCLUDES LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
860 cat <<\_ACEOF 860 cat <<\_ACEOF
861 861
862Optional Features: 862Optional Features:
863 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) 863 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
864 --enable-FEATURE[=ARG] include FEATURE [ARG=yes] 864 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
865 --enable-maintainer-mode enable make rules and dependencies not useful 865 --enable-maintainer-mode enable make rules and dependencies not useful
866 (and sometimes confusing) to the casual installer 866 (and sometimes confusing) to the casual installer
867 --disable-dependency-tracking Speeds up one-time builds 867 --disable-dependency-tracking speeds up one-time build
868 --enable-dependency-tracking Do not reject slow dependency extractors 868 --enable-dependency-tracking do not reject slow dependency extractors
869 --disable-rpath do not hardcode runtime library paths 869 --disable-rpath do not hardcode runtime library paths
870 --disable-nls do not use Native Language Support 870 --disable-nls do not use Native Language Support
871 --enable-iftype=TYPE/SUBTYPE 871 --enable-iftype=TYPE/SUBTYPE
872 Use kernel/net device interface TYPE/SUBTYPE. 872 Use kernel/net device interface TYPE/SUBTYPE.
873 Working combinations are (see doc/gvpe.osdep.5.pod): 873 Working combinations are (see doc/gvpe.osdep.5.pod):
892 use BYTES bytes of extra randomness (default 8). 892 use BYTES bytes of extra randomness (default 8).
893 Allowed values are 0, 4, 8. 893 Allowed values are 0, 4, 8.
894 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500). 894 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500).
895 Use 9100 for jumbogram support. 895 Use 9100 for jumbogram support.
896 --disable-compression Disable compression support. 896 --disable-compression Disable compression support.
897 --enable-cipher Select the symmetric cipher (default "bf"). Must be 897 --enable-cipher Select the symmetric cipher (default "aes-128").
898 one of "bf" (blowfish), "aes-128" (rijndael), 898 Must be one of "bf" (blowfish), "aes-128"
899 "aes-192" or "aes-256". 899 (rijndael), "aes-192" or "aes-256".
900 --enable-digest Select the digets algorithm to use (default "sha1"). 900 --enable-digest Select the digets algorithm to use (default
901 Must be one of "sha1", "ripemd160", "md5" or "md4" 901 "ripemd160"). Must be one of "sha1", "ripemd160",
902 (insecure). 902 "md5" or "md4" (insecure).
903 903
904Optional Packages: 904Optional Packages:
905 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 905 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
906 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 906 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
907 --with-gnu-ld assume the C compiler uses GNU ld default=no 907 --with-gnu-ld assume the C compiler uses GNU ld default=no
1470# will get canonicalized. 1470# will get canonicalized.
1471test -n "$target_alias" && 1471test -n "$target_alias" &&
1472 test "$program_prefix$program_suffix$program_transform_name" = \ 1472 test "$program_prefix$program_suffix$program_transform_name" = \
1473 NONENONEs,x,x, && 1473 NONENONEs,x,x, &&
1474 program_prefix=${target_alias}- 1474 program_prefix=${target_alias}-
1475am__api_version="1.7" 1475am__api_version="1.9"
1476# Find a good install program. We prefer a C program (faster), 1476# Find a good install program. We prefer a C program (faster),
1477# so one script is as good as another. But avoid the broken or 1477# so one script is as good as another. But avoid the broken or
1478# incompatible versions: 1478# incompatible versions:
1479# SysV /etc/install, /usr/sbin/install 1479# SysV /etc/install, /usr/sbin/install
1480# SunOS /usr/etc/install 1480# SunOS /usr/etc/install
1608s/[\\$]/&&/g;s/;s,x,x,$// 1608s/[\\$]/&&/g;s/;s,x,x,$//
1609_ACEOF 1609_ACEOF
1610program_transform_name=`echo $program_transform_name | sed -f conftest.sed` 1610program_transform_name=`echo $program_transform_name | sed -f conftest.sed`
1611rm conftest.sed 1611rm conftest.sed
1612 1612
1613
1614# expand $ac_aux_dir to an absolute path 1613# expand $ac_aux_dir to an absolute path
1615am_aux_dir=`cd $ac_aux_dir && pwd` 1614am_aux_dir=`cd $ac_aux_dir && pwd`
1616 1615
1617test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing" 1616test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing"
1618# Use eval to expand $SHELL 1617# Use eval to expand $SHELL
1620 am_missing_run="$MISSING --run " 1619 am_missing_run="$MISSING --run "
1621else 1620else
1622 am_missing_run= 1621 am_missing_run=
1623 { echo "$as_me:$LINENO: WARNING: \`missing' script is too old or missing" >&5 1622 { echo "$as_me:$LINENO: WARNING: \`missing' script is too old or missing" >&5
1624echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;} 1623echo "$as_me: WARNING: \`missing' script is too old or missing" >&2;}
1624fi
1625
1626if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
1627 # We used to keeping the `.' as first argument, in order to
1628 # allow $(mkdir_p) to be used without argument. As in
1629 # $(mkdir_p) $(somedir)
1630 # where $(somedir) is conditionally defined. However this is wrong
1631 # for two reasons:
1632 # 1. if the package is installed by a user who cannot write `.'
1633 # make install will fail,
1634 # 2. the above comment should most certainly read
1635 # $(mkdir_p) $(DESTDIR)$(somedir)
1636 # so it does not work when $(somedir) is undefined and
1637 # $(DESTDIR) is not.
1638 # To support the latter case, we have to write
1639 # test -z "$(somedir)" || $(mkdir_p) $(DESTDIR)$(somedir),
1640 # so the `.' trick is pointless.
1641 mkdir_p='mkdir -p --'
1642else
1643 # On NextStep and OpenStep, the `mkdir' command does not
1644 # recognize any option. It will interpret all options as
1645 # directories to create, and then abort because `.' already
1646 # exists.
1647 for d in ./-p ./--version;
1648 do
1649 test -d $d && rmdir $d
1650 done
1651 # $(mkinstalldirs) is defined by Automake if mkinstalldirs exists.
1652 if test -f "$ac_aux_dir/mkinstalldirs"; then
1653 mkdir_p='$(mkinstalldirs)'
1654 else
1655 mkdir_p='$(install_sh) -d'
1656 fi
1625fi 1657fi
1626 1658
1627for ac_prog in gawk mawk nawk awk 1659for ac_prog in gawk mawk nawk awk
1628do 1660do
1629 # Extract the first word of "$ac_prog", so it can be a program name with args. 1661 # Extract the first word of "$ac_prog", so it can be a program name with args.
1700else 1732else
1701 am__leading_dot=_ 1733 am__leading_dot=_
1702fi 1734fi
1703rmdir .tst 2>/dev/null 1735rmdir .tst 2>/dev/null
1704 1736
1705 # test to see if srcdir already configured 1737# test to see if srcdir already configured
1706if test "`cd $srcdir && pwd`" != "`pwd`" && 1738if test "`cd $srcdir && pwd`" != "`pwd`" &&
1707 test -f $srcdir/config.status; then 1739 test -f $srcdir/config.status; then
1708 { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5 1740 { { echo "$as_me:$LINENO: error: source directory already configured; run \"make distclean\" there first" >&5
1709echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;} 1741echo "$as_me: error: source directory already configured; run \"make distclean\" there first" >&2;}
1710 { (exit 1); exit 1; }; } 1742 { (exit 1); exit 1; }; }
1720fi 1752fi
1721 1753
1722 1754
1723# Define the identity of the package. 1755# Define the identity of the package.
1724 PACKAGE=gvpe 1756 PACKAGE=gvpe
1725 VERSION=1.9 1757 VERSION=2.0
1726 1758
1727 1759
1728cat >>confdefs.h <<_ACEOF 1760cat >>confdefs.h <<_ACEOF
1729#define PACKAGE "$PACKAGE" 1761#define PACKAGE "$PACKAGE"
1730_ACEOF 1762_ACEOF
1747 1779
1748AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"} 1780AUTOHEADER=${AUTOHEADER-"${am_missing_run}autoheader"}
1749 1781
1750 1782
1751MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"} 1783MAKEINFO=${MAKEINFO-"${am_missing_run}makeinfo"}
1752
1753
1754AMTAR=${AMTAR-"${am_missing_run}tar"}
1755 1784
1756install_sh=${install_sh-"$am_aux_dir/install-sh"} 1785install_sh=${install_sh-"$am_aux_dir/install-sh"}
1757 1786
1758# Installed binaries are usually stripped using `strip' when the user 1787# Installed binaries are usually stripped using `strip' when the user
1759# run `make install-strip'. However `strip' might not be the right 1788# run `make install-strip'. However `strip' might not be the right
1843fi 1872fi
1844INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s" 1873INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
1845 1874
1846# We need awk for the "check" target. The system "awk" is bad on 1875# We need awk for the "check" target. The system "awk" is bad on
1847# some platforms. 1876# some platforms.
1877# Always define AMTAR for backward compatibility.
1878
1879AMTAR=${AMTAR-"${am_missing_run}tar"}
1880
1881am__tar='${AMTAR} chof - "$$tardir"'; am__untar='${AMTAR} xf -'
1882
1883
1848 1884
1849 1885
1850 1886
1851 ac_config_headers="$ac_config_headers config.h" 1887 ac_config_headers="$ac_config_headers config.h"
1852 1888
3125 # overwrite some of them when testing with obscure command lines. 3161 # overwrite some of them when testing with obscure command lines.
3126 # This happens at least with the AIX C compiler. 3162 # This happens at least with the AIX C compiler.
3127 : > sub/conftest.c 3163 : > sub/conftest.c
3128 for i in 1 2 3 4 5 6; do 3164 for i in 1 2 3 4 5 6; do
3129 echo '#include "conftst'$i'.h"' >> sub/conftest.c 3165 echo '#include "conftst'$i'.h"' >> sub/conftest.c
3166 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
3167 # Solaris 8's {/usr,}/bin/sh.
3130 : > sub/conftst$i.h 3168 touch sub/conftst$i.h
3131 done 3169 done
3132 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 3170 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
3133 3171
3134 case $depmode in 3172 case $depmode in
3135 nosideeffect) 3173 nosideeffect)
3153 >/dev/null 2>conftest.err && 3191 >/dev/null 2>conftest.err &&
3154 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 3192 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
3155 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 3193 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
3156 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 3194 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
3157 # icc doesn't choke on unknown options, it will just issue warnings 3195 # icc doesn't choke on unknown options, it will just issue warnings
3158 # (even with -Werror). So we grep stderr for any message 3196 # or remarks (even with -Werror). So we grep stderr for any message
3159 # that says an option was ignored. 3197 # that says an option was ignored or not supported.
3198 # When given -MP, icc 7.0 and 7.1 complain thusly:
3199 # icc: Command line warning: ignoring option '-M'; no argument required
3200 # The diagnosis changed in icc 8.0:
3201 # icc: Command line remark: option '-MP' not supported
3202 if (grep 'ignoring option' conftest.err ||
3160 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 3203 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
3161 am_cv_CC_dependencies_compiler_type=$depmode 3204 am_cv_CC_dependencies_compiler_type=$depmode
3162 break 3205 break
3163 fi 3206 fi
3164 fi 3207 fi
3165 done 3208 done
5328 # overwrite some of them when testing with obscure command lines. 5371 # overwrite some of them when testing with obscure command lines.
5329 # This happens at least with the AIX C compiler. 5372 # This happens at least with the AIX C compiler.
5330 : > sub/conftest.c 5373 : > sub/conftest.c
5331 for i in 1 2 3 4 5 6; do 5374 for i in 1 2 3 4 5 6; do
5332 echo '#include "conftst'$i'.h"' >> sub/conftest.c 5375 echo '#include "conftst'$i'.h"' >> sub/conftest.c
5376 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
5377 # Solaris 8's {/usr,}/bin/sh.
5333 : > sub/conftst$i.h 5378 touch sub/conftst$i.h
5334 done 5379 done
5335 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 5380 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
5336 5381
5337 case $depmode in 5382 case $depmode in
5338 nosideeffect) 5383 nosideeffect)
5356 >/dev/null 2>conftest.err && 5401 >/dev/null 2>conftest.err &&
5357 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 5402 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
5358 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 5403 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
5359 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 5404 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
5360 # icc doesn't choke on unknown options, it will just issue warnings 5405 # icc doesn't choke on unknown options, it will just issue warnings
5361 # (even with -Werror). So we grep stderr for any message 5406 # or remarks (even with -Werror). So we grep stderr for any message
5362 # that says an option was ignored. 5407 # that says an option was ignored or not supported.
5408 # When given -MP, icc 7.0 and 7.1 complain thusly:
5409 # icc: Command line warning: ignoring option '-M'; no argument required
5410 # The diagnosis changed in icc 8.0:
5411 # icc: Command line remark: option '-MP' not supported
5412 if (grep 'ignoring option' conftest.err ||
5363 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 5413 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
5364 am_cv_CC_dependencies_compiler_type=$depmode 5414 am_cv_CC_dependencies_compiler_type=$depmode
5365 break 5415 break
5366 fi 5416 fi
5367 fi 5417 fi
5368 done 5418 done
6015 # overwrite some of them when testing with obscure command lines. 6065 # overwrite some of them when testing with obscure command lines.
6016 # This happens at least with the AIX C compiler. 6066 # This happens at least with the AIX C compiler.
6017 : > sub/conftest.c 6067 : > sub/conftest.c
6018 for i in 1 2 3 4 5 6; do 6068 for i in 1 2 3 4 5 6; do
6019 echo '#include "conftst'$i'.h"' >> sub/conftest.c 6069 echo '#include "conftst'$i'.h"' >> sub/conftest.c
6070 # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
6071 # Solaris 8's {/usr,}/bin/sh.
6020 : > sub/conftst$i.h 6072 touch sub/conftst$i.h
6021 done 6073 done
6022 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf 6074 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
6023 6075
6024 case $depmode in 6076 case $depmode in
6025 nosideeffect) 6077 nosideeffect)
6043 >/dev/null 2>conftest.err && 6095 >/dev/null 2>conftest.err &&
6044 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 && 6096 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
6045 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 && 6097 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
6046 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then 6098 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
6047 # icc doesn't choke on unknown options, it will just issue warnings 6099 # icc doesn't choke on unknown options, it will just issue warnings
6048 # (even with -Werror). So we grep stderr for any message 6100 # or remarks (even with -Werror). So we grep stderr for any message
6049 # that says an option was ignored. 6101 # that says an option was ignored or not supported.
6102 # When given -MP, icc 7.0 and 7.1 complain thusly:
6103 # icc: Command line warning: ignoring option '-M'; no argument required
6104 # The diagnosis changed in icc 8.0:
6105 # icc: Command line remark: option '-MP' not supported
6106 if (grep 'ignoring option' conftest.err ||
6050 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else 6107 grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
6051 am_cv_CXX_dependencies_compiler_type=$depmode 6108 am_cv_CXX_dependencies_compiler_type=$depmode
6052 break 6109 break
6053 fi 6110 fi
6054 fi 6111 fi
6055 done 6112 done
9721 ROHC_TRUE='#' 9778 ROHC_TRUE='#'
9722 ROHC_FALSE= 9779 ROHC_FALSE=
9723fi 9780fi
9724 9781
9725 9782
9783
9726# Check whether --enable-icmp or --disable-icmp was given. 9784# Check whether --enable-icmp or --disable-icmp was given.
9727if test "${enable_icmp+set}" = set; then 9785if test "${enable_icmp+set}" = set; then
9728 enableval="$enable_icmp" 9786 enableval="$enable_icmp"
9729 9787
9730cat >>confdefs.h <<_ACEOF 9788cat >>confdefs.h <<_ACEOF
10038cat >>confdefs.h <<_ACEOF 10096cat >>confdefs.h <<_ACEOF
10039#define ENABLE_COMPRESSION $COMPRESS 10097#define ENABLE_COMPRESSION $COMPRESS
10040_ACEOF 10098_ACEOF
10041 10099
10042 10100
10043CIPHER=bf_cbc 10101CIPHER=aes_128_cbc
10044# Check whether --enable-cipher or --disable-cipher was given. 10102# Check whether --enable-cipher or --disable-cipher was given.
10045if test "${enable_cipher+set}" = set; then 10103if test "${enable_cipher+set}" = set; then
10046 enableval="$enable_cipher" 10104 enableval="$enable_cipher"
10047 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi 10105 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi
10048 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi 10106 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi
10054cat >>confdefs.h <<_ACEOF 10112cat >>confdefs.h <<_ACEOF
10055#define ENABLE_CIPHER EVP_${CIPHER} 10113#define ENABLE_CIPHER EVP_${CIPHER}
10056_ACEOF 10114_ACEOF
10057 10115
10058 10116
10059DIGEST=sha1 10117DIGEST=ripemd160
10060# Check whether --enable-digest or --disable-digest was given. 10118# Check whether --enable-digest or --disable-digest was given.
10061if test "${enable_digest+set}" = set; then 10119if test "${enable_digest+set}" = set; then
10062 enableval="$enable_digest" 10120 enableval="$enable_digest"
10063 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi 10121 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi
10064 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi 10122 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi
10077fi 10135fi
10078 10136
10079if $CXX -v --help 2>&1 | grep -q fexceptions; then 10137if $CXX -v --help 2>&1 | grep -q fexceptions; then
10080 CXXFLAGS="$CXXFLAGS -fno-exceptions" 10138 CXXFLAGS="$CXXFLAGS -fno-exceptions"
10081fi 10139fi
10082
10083
10084 10140
10085 10141
10086 10142
10087 10143
10088 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile" 10144 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"
10786s,@ACLOCAL@,$ACLOCAL,;t t 10842s,@ACLOCAL@,$ACLOCAL,;t t
10787s,@AUTOCONF@,$AUTOCONF,;t t 10843s,@AUTOCONF@,$AUTOCONF,;t t
10788s,@AUTOMAKE@,$AUTOMAKE,;t t 10844s,@AUTOMAKE@,$AUTOMAKE,;t t
10789s,@AUTOHEADER@,$AUTOHEADER,;t t 10845s,@AUTOHEADER@,$AUTOHEADER,;t t
10790s,@MAKEINFO@,$MAKEINFO,;t t 10846s,@MAKEINFO@,$MAKEINFO,;t t
10791s,@AMTAR@,$AMTAR,;t t
10792s,@install_sh@,$install_sh,;t t 10847s,@install_sh@,$install_sh,;t t
10793s,@STRIP@,$STRIP,;t t 10848s,@STRIP@,$STRIP,;t t
10794s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t 10849s,@ac_ct_STRIP@,$ac_ct_STRIP,;t t
10795s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t 10850s,@INSTALL_STRIP_PROGRAM@,$INSTALL_STRIP_PROGRAM,;t t
10851s,@mkdir_p@,$mkdir_p,;t t
10796s,@AWK@,$AWK,;t t 10852s,@AWK@,$AWK,;t t
10797s,@SET_MAKE@,$SET_MAKE,;t t 10853s,@SET_MAKE@,$SET_MAKE,;t t
10798s,@am__leading_dot@,$am__leading_dot,;t t 10854s,@am__leading_dot@,$am__leading_dot,;t t
10855s,@AMTAR@,$AMTAR,;t t
10856s,@am__tar@,$am__tar,;t t
10857s,@am__untar@,$am__untar,;t t
10799s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t 10858s,@MAINTAINER_MODE_TRUE@,$MAINTAINER_MODE_TRUE,;t t
10800s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t 10859s,@MAINTAINER_MODE_FALSE@,$MAINTAINER_MODE_FALSE,;t t
10801s,@MAINT@,$MAINT,;t t 10860s,@MAINT@,$MAINT,;t t
10802s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t 10861s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
10803s,@MSGFMT@,$MSGFMT,;t t 10862s,@MSGFMT@,$MSGFMT,;t t
11567 /^X\(\/\).*/{ s//\1/; q; } 11626 /^X\(\/\).*/{ s//\1/; q; }
11568 s/.*/./; q'` 11627 s/.*/./; q'`
11569 else 11628 else
11570 continue 11629 continue
11571 fi 11630 fi
11572 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue 11631 # Extract the definition of DEPDIR, am__include, and am__quote
11573 # Extract the definition of DEP_FILES from the Makefile without 11632 # from the Makefile without running `make'.
11574 # running `make'.
11575 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"` 11633 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
11576 test -z "$DEPDIR" && continue 11634 test -z "$DEPDIR" && continue
11635 am__include=`sed -n 's/^am__include = //p' < "$mf"`
11636 test -z "am__include" && continue
11637 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
11577 # When using ansi2knr, U may be empty or an underscore; expand it 11638 # When using ansi2knr, U may be empty or an underscore; expand it
11578 U=`sed -n -e '/^U = / s///p' < "$mf"` 11639 U=`sed -n 's/^U = //p' < "$mf"`
11579 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR" 11640 # Find all dependency output files, they are included files with
11580 # We invoke sed twice because it is the simplest approach to 11641 # $(DEPDIR) in their names. We invoke sed twice because it is the
11581 # changing $(DEPDIR) to its actual value in the expansion. 11642 # simplest approach to changing $(DEPDIR) to its actual value in the
11643 # expansion.
11582 for file in `sed -n -e ' 11644 for file in `sed -n "
11583 /^DEP_FILES = .*\\\\$/ { 11645 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
11584 s/^DEP_FILES = //
11585 :loop
11586 s/\\\\$//
11587 p
11588 n
11589 /\\\\$/ b loop
11590 p
11591 }
11592 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
11593 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do 11646 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
11594 # Make sure the directory exists. 11647 # Make sure the directory exists.
11595 test -f "$dirpart/$file" && continue 11648 test -f "$dirpart/$file" && continue
11596 fdir=`(dirname "$file") 2>/dev/null || 11649 fdir=`(dirname "$file") 2>/dev/null ||
11597$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \ 11650$as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
11645_ACEOF 11698_ACEOF
11646chmod +x $CONFIG_STATUS 11699chmod +x $CONFIG_STATUS
11647ac_clean_files=$ac_clean_files_save 11700ac_clean_files=$ac_clean_files_save
11648 11701
11649 11702
11650
11651echo
11652echo "***"
11653echo "*** Configuration Summary"
11654echo "***"
11655echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11656echo "*** Cipher used: $CIPHER"
11657echo "*** Digest used: $DIGEST"
11658echo "*** HMAC length: $HMAC"
11659echo "*** RAND used: $RAND"
11660echo "*** Max. MTU: $MTU"
11661echo "*** Compression: $COMPRESS"
11662
11663if test "x$DIGEST" = xmd4; then
11664echo "***"
11665echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11666fi
11667
11668if test "$HMAC" -lt 12; then
11669echo "***"
11670echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11671fi
11672
11673if test "$RAND" -lt 8; then
11674echo "***"
11675echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11676fi
11677
11678echo "***"
11679
11680echo
11681
11682
11683
11684# configure is writing to config.log, and then calls config.status. 11703# configure is writing to config.log, and then calls config.status.
11685# config.status does its own redirection, appending to config.log. 11704# config.status does its own redirection, appending to config.log.
11686# Unfortunately, on DOS this fails, as config.log is still kept open 11705# Unfortunately, on DOS this fails, as config.log is still kept open
11687# by configure, so config.status won't be able to write to it; its 11706# by configure, so config.status won't be able to write to it; its
11688# output is simply discarded. So we exec the FD to /dev/null, 11707# output is simply discarded. So we exec the FD to /dev/null,
11700 # Use ||, not &&, to avoid exiting from the if with $? = 1, which 11719 # Use ||, not &&, to avoid exiting from the if with $? = 1, which
11701 # would make configure fail if this is the last instruction. 11720 # would make configure fail if this is the last instruction.
11702 $ac_cs_success || { (exit 1); exit 1; } 11721 $ac_cs_success || { (exit 1); exit 1; }
11703fi 11722fi
11704 11723
11724
11725echo
11726echo "***"
11727echo "*** Configuration Summary"
11728echo "***"
11729echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11730echo "*** Cipher used: $CIPHER"
11731echo "*** Digest used: $DIGEST"
11732echo "*** HMAC length: $HMAC"
11733echo "*** RAND used: $RAND"
11734echo "*** Max. MTU: $MTU"
11735
11736echo "***"
11737echo "*** Enable options:"
11738grep ENABLE_ config.h | sed -e 's/^/*** /'
11739
11740if test "x$DIGEST" = xmd4; then
11741echo "***"
11742echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11743fi
11744
11745if test "$HMAC" -lt 12; then
11746echo "***"
11747echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11748fi
11749
11750if test "$RAND" -lt 8; then
11751echo "***"
11752echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11753fi
11754
11755echo "***"
11756echo
11757
11758

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines